A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
To use Cloud Storage MCP servers, set up authentication. For more information, see Authentication and authorization.
Cloud Storage MCP server provides tools to interact with Cloud Storage.
Server Endpoints
An MCP service endpoint is the network address and communication interface, typically a URL, of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints are global endpoints.
The storage.googleapis.com MCP server has the following MCP endpoint:
- https://storage.googleapis.com/storage/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to an LLM or an AI application to perform an action in the real world.
The storage.googleapis.com MCP server has the following tools:
| MCP tools | |
|---|---|
| create_bucket | Creates a bucket in a project. |
| get_object_metadata | Gets the metadata of an object. |
| list_buckets | Retrieves a list of buckets for a given project, ordered in the list lexicographically by name. |
| list_objects | Lists the objects in a bucket. |
| read_object |
Reads a blob object from Cloud Storage. Use this tool for binary files, such as images, PDFs, and zip archives. |
| read_text | Reads non-binary text content from an object. |
| write_text | Writes text content to an object, overwriting any existing content. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications within the MCP server:
| Curl request |
|---|
curl --location 'https://storage.googleapis.com/storage/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |